Scala Compiler2.13.5 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  package parser
  Definition Classes
    ast
-  package xml
  Definition Classes
    parser
- BracePair
- BracePatch
- Cbuf
- Change
- CommonTokens
- Deletion
- Insertion
- MarkupParsers
- Parsers
- ParsersCommon
- Patch
- Scanners
- ScannersCommon
- SymbolicXMLBuilder
- SyntaxAnalyzer
- Tokens
- TreeBuilder

t

scala.tools.nsc.ast.parser

# ParsersCommon

###

#### trait ParsersCommon extends ScannersCommon

Historical note: JavaParsers started life as a direct copy of Parsers but at a time when that Parsers had been replaced by a different one. Later it was dropped and the original Parsers reinstated, leaving us with massive duplication between Parsers and JavaParsers.

This trait and the similar one for Scanners/JavaScanners represents the beginnings of a campaign against this latest incursion by Cutty McPastington and his army of very similar soldiers.

Self Type
  ParsersCommon
Source
  Parsers.scala

Linear Supertypes
ScannersCommon, AnyRef, Any
Known Subclasses
CaseParser, ForEnumeratorParser, Parser, PatternParser, TermParser, TypeParser, Parsers, SyntaxAnalyzer, ScaladocSyntaxAnalyzer, JavaParsers
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ParsersCommon
2. ScannersCommon
3. AnyRef
4. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Type Members

1.  type Offset = Int

   Offset into source character array

   Offset into source character array

   Definition Classes
     ScannersCommon
2.  abstract class ParserCommon extends AnyRef

   This is now an abstract class, only to work around the optimizer: methods in traits are never inlined.

3.  type Token = Int
   Definition Classes
     ScannersCommon
4.  trait CommonTokenData extends AnyRef
   Definition Classes
     ScannersCommon
5.  trait DocScanner extends AnyRef
   Definition Classes
     ScannersCommon
6.  trait ScannerCommon extends CommonTokenData
   Definition Classes
     ScannersCommon

### Abstract Value Members

1.  abstract val global: Global
   Definition Classes
     ParsersCommon → ScannersCommon

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from ParsersCommon toany2stringadd[ParsersCommon] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (ParsersCommon, B)
   Implicit
     This member is added by an implicit conversion from ParsersCommon toArrowAssoc[ParsersCommon] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def createKeywordArray(keywords: Seq[(Global.Name, Token)], defaultToken: Token): (Token, Array[Token])
   Definition Classes
     ScannersCommon
9.  def ensuring(cond: (ParsersCommon) => Boolean, msg: => Any): ParsersCommon
   Implicit
     This member is added by an implicit conversion from ParsersCommon toEnsuring[ParsersCommon] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: (ParsersCommon) => Boolean): ParsersCommon
    Implicit
      This member is added by an implicit conversion from ParsersCommon toEnsuring[ParsersCommon] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean, msg: => Any): ParsersCommon
    Implicit
      This member is added by an implicit conversion from ParsersCommon toEnsuring[ParsersCommon] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: Boolean): ParsersCommon
    Implicit
      This member is added by an implicit conversion from ParsersCommon toEnsuring[ParsersCommon] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
14.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
15.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
16.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from ParsersCommon toStringFormat[ParsersCommon] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  def literalUnit: Global.Literal
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  def newLiteral(const: Any): Global.Literal
23.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
25.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Deprecated Value Members

1.  def →[B](y: B): (ParsersCommon, B)
   Implicit
     This member is added by an implicit conversion from ParsersCommon toArrowAssoc[ParsersCommon] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from ScannersCommon

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromParsersCommon to any2stringadd[ParsersCommon]

### Inherited by implicit conversion StringFormat fromParsersCommon to StringFormat[ParsersCommon]

### Inherited by implicit conversion Ensuring fromParsersCommon to Ensuring[ParsersCommon]

### Inherited by implicit conversion ArrowAssoc fromParsersCommon to ArrowAssoc[ParsersCommon]

### Ungrouped